[arch-commits] Commit in nextcloud-app-notes/repos/community-any (PKGBUILD PKGBUILD)
Sergej Pupykin
spupykin at gemini.archlinux.org
Sat Jan 15 21:26:55 UTC 2022
Date: Saturday, January 15, 2022 @ 21:26:55
Author: spupykin
Revision: 1105021
archrelease: copy trunk to community-any
Added:
nextcloud-app-notes/repos/community-any/PKGBUILD
(from rev 1105020, nextcloud-app-notes/trunk/PKGBUILD)
Deleted:
nextcloud-app-notes/repos/community-any/PKGBUILD
----------+
PKGBUILD | 88 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 44 insertions(+), 44 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2022-01-15 21:26:48 UTC (rev 1105020)
+++ PKGBUILD 2022-01-15 21:26:55 UTC (rev 1105021)
@@ -1,44 +0,0 @@
-# Maintainer: Sergej Pupykin <arch+pub at sergej.pp.ru>
-# Maintainer: David Runge <dave at sleepmap.de>
-# Contributor: David Runge <dave at sleepmap.de>
-
-pkgname=nextcloud-app-notes
-_name=notes
-pkgver=4.2.0
-pkgrel=1
-pkgdesc="Simple Notes app for Nextcloud"
-arch=('any')
-url="https://github.com/nextcloud/notes"
-license=('AGPL3')
-depends=('nextcloud')
-makedepends=('ripgrep' 'yq')
-groups=('nextcloud-apps')
-options=('!strip')
-source=("${pkgname}-${pkgver}.tar.gz::https://github.com/nextcloud/notes/releases/download/v${pkgver}/notes.tar.gz")
-sha512sums=('7df83665555a98919c6a6383f624b4a7aa8612e60b6707e0996e6bda8592b7fc4bb9326ebbd50491d5cec14a3feb04989134c3d032833c9f7fe29a04a32ca20c')
-
-_get_nextcloud_versions() {
- _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
- _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
- _app_max_major_version=$(expr ${_app_max_major_version} + 1)
-}
-
-check() {
- local _app_min_major_version
- local _app_max_major_version
- _get_nextcloud_versions
-
- local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
- if [[ "$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")" -lt 0 ]] || [[ "$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")" -gt 0 ]] ; then
- printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
- exit 1
- fi
-}
-
-package() {
- _get_nextcloud_versions
- depends=("nextcloud>=${_app_min_major_version}" "nextcloud<${_app_max_major_version}")
-
- install -d "${pkgdir}/usr/share/webapps/nextcloud/apps"
- cp -R "${srcdir}/notes" "${pkgdir}/usr/share/webapps/nextcloud/apps/notes"
-}
Copied: nextcloud-app-notes/repos/community-any/PKGBUILD (from rev 1105020, nextcloud-app-notes/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2022-01-15 21:26:55 UTC (rev 1105021)
@@ -0,0 +1,44 @@
+# Maintainer: Sergej Pupykin <arch+pub at sergej.pp.ru>
+# Maintainer: David Runge <dave at sleepmap.de>
+# Contributor: David Runge <dave at sleepmap.de>
+
+pkgname=nextcloud-app-notes
+_name=notes
+pkgver=4.3.0
+pkgrel=1
+pkgdesc="Simple Notes app for Nextcloud"
+arch=('any')
+url="https://github.com/nextcloud/notes"
+license=('AGPL3')
+depends=('nextcloud')
+makedepends=('ripgrep' 'yq')
+groups=('nextcloud-apps')
+options=('!strip')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/nextcloud/notes/releases/download/v${pkgver}/notes.tar.gz")
+sha512sums=('d859d425e112b4042ac21e22e75ace5d3a17a97f108984ae6f66c8bb672a62f1ad559e9469a0c119bd15890ebe1303fbd4f6eb198f4a510e67574d6d660a7681')
+
+_get_nextcloud_versions() {
+ _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+ _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+ _app_max_major_version=$(expr ${_app_max_major_version} + 1)
+}
+
+check() {
+ local _app_min_major_version
+ local _app_max_major_version
+ _get_nextcloud_versions
+
+ local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
+ if [[ "$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")" -lt 0 ]] || [[ "$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")" -gt 0 ]] ; then
+ printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
+ exit 1
+ fi
+}
+
+package() {
+ _get_nextcloud_versions
+ depends=("nextcloud>=${_app_min_major_version}" "nextcloud<${_app_max_major_version}")
+
+ install -d "${pkgdir}/usr/share/webapps/nextcloud/apps"
+ cp -R "${srcdir}/notes" "${pkgdir}/usr/share/webapps/nextcloud/apps/notes"
+}
More information about the arch-commits
mailing list